module.exports = resize;

function resize(dataUrl, size) {
  var img = document.createElement("img");
  img.src = dataUrl;

  var width = img.width;
  var height = img.height; 
  
  if (width > height) {
    if (width > size) {
      height *= size / width;
      width = size;
    }
  } else if (height > size) {
    width *= size / height;
    height = size;
  }

  var canvas = document.createElement('canvas');
  canvas.width = width;
  canvas.height = height;

  var ctx = canvas.getContext('2d');
  ctx.drawImage(img, 0, 0, width, height);

  return canvas.toDataURL("image/jpeg");
}